#!/bin/bash
set -e

######
# Starts pictory with the current local pictory sources
# and runs the current local e2e tests against it
######

ROOT_DIR=$(git rev-parse --show-toplevel)
PICTORY_DIR=$(realpath "$ROOT_DIR"/src/pictory)
TEST_DIR=$(realpath "$ROOT_DIR"/test/testcafe)

echo "Starting pictory-testcafe container ..."
echo "Mounting pictory from $PICTORY_DIR"
echo "Mounting tests from $TEST_DIR"

docker run \
	-it \
	--rm \
	-p 42080:80 \
	-p 41080:41080 \
	-p 42443:443 \
	-p 41443:41443 \
	-v "$PICTORY_DIR":/var/www/revpi/pictory \
	-v "$TEST_DIR":/opt/testcafe/ \
	-v /var/www/revpi/data \
	--name pictory-testcafe \
	registry.gitlab.com/revolutionpi/webstatus/webstatus-testcafe-bullseye:arm64-latest \
	./docker-entrypoint.sh
